php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #13065 Error generated when I run Make from Apache
Submitted: 2001-08-30 15:48 UTC Modified: 2001-09-04 12:09 UTC
From: webmaster at stri dot org Assigned:
Status: Not a bug Package: *Compile Issues
PHP Version: 4.0.6 OS: Red Hat Linux 6.0
Private report: No CVE-ID: None
 [2001-08-30 15:48 UTC] webmaster at stri dot org
I compiled PHP with this line:
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
./configure --with-mysql=/usr/local/mysql --with-config-file-path=/www/conf --with-apache=../httpd --enable-track-vars
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
When I try to add PHP module to Apache, I received this erros when run Make.

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
/usr/local/mysql/lib/libmysqlclient.a(my_compress.o): In function `my_uncompress
':
my_compress.o(.text+0x97): undefined reference to `uncompress'
/usr/local/mysql/lib/libmysqlclient.a(my_compress.o): In function `my_compress_a
lloc':
my_compress.o(.text+0x12b): undefined reference to `compress'
collect2: ld returned 1 exit status
make[2]: *** [target_static] Error 1
make[2]: Leaving directory `/usr/local/etc/apache_1.3.20/src'
make[1]: *** [build-std] Error 2
make[1]: Leaving directory `/usr/local/etc/apache_1.3.20'
make: *** [build] Error 2

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-08-30 19:27 UTC] sniper@php.net
Add --with-zlib to your configure line.
And next time search the bug database first before
submitting bogus reports.

 [2001-08-31 09:51 UTC] webmaster at stri dot org
Ok, sorry I search in this database and I don't found nothing equal to this error.

I try configure with your suggestion and I get:

-------------------------------------------------
Configuring for Apache, Version 1.3.20
 + using installation path layout: Apache (config.layout)
configure:Error: invalid option '--with-zlib'
-------------------------------------------------

What can I do now??
 [2001-08-31 10:04 UTC] sander@php.net
You must add --with-zlib to the configure line of PHP, not of Apache. If needed, specify the installation path of zlib.
 [2001-08-31 10:12 UTC] webmaster at stri dot org
ok, I saw my error, I was using the line in Configure with Apache, and you was talking about PHP.

My apologize again, but really I don't found nothing helpful for my error in your database, I think that should be updated with my output error.

Thanks, 
 [2001-09-04 11:59 UTC] webmaster at stri dot org
I trying to run phorummail script from shell in Linux, but I get this error:

php: error in loading shared libraries: libmysqlclient.so.6: cannot open shared
object file: No such file or directory

I search libmysqlclient.so.6 in /usr/lib and /usr/local/mysql/lib and not exist.

How I can to install this lib.

Thanks,
 [2001-09-04 12:09 UTC] sander@php.net
Ask support questions on the appropriate mailinglist (see http://www.php.net/support.php).
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Jan 20 06:01:23 2020 UTC